# -*- coding: utf-8 -*-

class KemonoFriends < DiceBot
  
  def initialize
    super
    @sendMode = 2
    @sortType = 3
    @d66Type = 2
  end
  def gameName
    'けものフレンズTRPG(SP)'
  end
  
  def gameType
    "KemonoFriends"
  end
  
  def prefixs
     ['EVYT', 'EVAT', 'EVNT', 'EVFT', 'EVTT', 'EVRT', 'EVIT', 'EVCT', 'EVVT', 'EVOT', 'EVLRT', 'EVLHT', 'EVKT', 
	'EVMT', 'EVPT', 'ITT', 'KTM', 'BT', 'KST', 'KTT', 'KMT', 'KCT', 'KHT', 'KLT', 'ET'
      ]
  end
  
  def getHelpMessage
    return <<INFO_MESSAGE_TEXT
例) 2D6 ： 単純に2D6した値を出します。
例) 2D6>=5 ： 判定。2D6して目標値5以上が出れば成功。
例) 2D6+2>=7 ： 判定。2D6に修正+2をした上で目標値7以上になれば成功。
・各種表
　野生シーン表 EVYT　　遊びシーン表 EVAT　　自然シーン表 EVNT
　お祭りシーン表 EVFT　探検シーン表 EVTT　　旅行シーン表 EVRT
　遺構シーン表 EVIT　　料理シーン表 EVCT　　航海シーン表 EVVT
　音楽シーン表 EVOT　　追憶シーン表 EVLRT　 廃墟シーン表 EVLHT
／交流シーン表 EVKT　　群れシーン表 EVMT　　遊具シーン表 EVPT
　・アイテム表　ITT
　・ランダム個性選択：一括　KTM／分野　BT
　　　身体 KST　得意 KTT　魅力 KMT　性格 KCT　趣味 KHT　生息地 KLT
　・感情表　ET
INFO_MESSAGE_TEXT
  end
  
  
  def check_2D6(total_n, dice_n, signOfInequality, diff, dice_cnt, dice_max, n1, n_max)  # ゲーム別成功度判定(2D6)
    return '' unless( signOfInequality == ">=")
    
    if(dice_n >= 12)
      return " ＞ 大成功（達成値＋２）"
    elsif(total_n >= diff)
      return " ＞ 成功"
    else
      return " ＞ 失敗"
    end
  end


  def rollDiceCommand(command)
    output = '1'
    type = ""
    total_n = ""

    case command
    when 'EVYT'
      type='野生シーン表'
      output, total_n =  get_wild_event_table
    when 'EVAT'
      type='遊びシーン表'
      output, total_n =  get_play_event_table
    when 'EVNT'
      type='自然シーン表'
      output, total_n =  get_nature_event_table
    when 'EVFT'
      type='お祭りシーン表'
      output, total_n =  get_festival_event_table
    when 'EVTT'
      type='探検シーン表'
      output, total_n =  get_expedition_event_table
    when 'EVRT'
      type='旅行シーン表'
      output, total_n =  get_travel_event_table
    when 'EVIT'
      type='遺構シーン表'
      output, total_n =  get_ruin_event_table
    when 'EVCT'
      type='料理シーン表'
      output, total_n =  get_cooking_event_table
    when 'EVVT'
      type='航海シーン表'
      output, total_n =  get_voyage_event_table
    when 'EVOT'
      type='音楽シーン表'
      output, total_n =  get_music_event_table
    when 'EVLRT'
      type='追憶シーン表'
      output, total_n =  get_reminiscence_event_table
    when 'EVLHT'
      type='廃墟シーン表'
      output, total_n =  get_remains_event_table
    when 'EVKT'
      type='交流シーン表'
      output, total_n =  get_communication_event_table
    when 'EVMT'
      type='群れシーン表'
      output, total_n =  get_pack_event_table
    when 'EVPT'
      type='遊具シーン表'
      output, total_n =  get_playground_event_table
    when 'ITT'
      type='アイテム表'
      output, total_n =  get_item_table
    when 'KTM'
      type='個性：一括'
      output, total_n =  get_personality_table
    when 'BT'
      type='個性：分野表'
      output, total_n =  get_field_table
    when 'KST'
      type='個性：身体表'
      output, total_n =  get_kosei_physique_table
    when 'KTT'
      type='個性：得意表'
      output, total_n =  get_kosei_capability_table
    when 'KMT'
      type='個性：魅力表'
      output, total_n =  get_kosei_attraction_table
    when 'KCT'
      type='個性：性格表'
      output, total_n =  get_kosei_character_table
    when 'KHT'
      type='個性：趣味表'
      output, total_n =  get_kosei_hobby_table
    when 'KLT'
      type='個性：生息地表'
      output, total_n =  get_kosei_location_table
    when 'ET'
      type='感情表'
      output, total_n =  get_emotion_table

    end
        
    return "#{type}(#{total_n}) ＞ #{output}"
    
  end
  
  # 感情表
  def get_emotion_table
    table = [
        'まもらなきゃ',
        'なかま',
        'かしこい',
        'きれい',
        'かわいい',
        'たのしい',
        'すごい',
        'おもしろい',
        'やさしい',
        'たいせつ',
        'いとしい',
    ]
    
    return get_table_by_2d6(table)
  end
    
  # 野生シーン表
  def get_wild_event_table
      table = [
				'鳴く/遠吠え：歌を練習したり、遠くの仲間とコミュニケーションを取ったり、はたまた自分の存在を誇示したりするため、大きな声を出します。成功すると、このシナリオの間に趣味の列を指定個性とする判定を行うときに＋１のボーナスが付きます。失敗すると、自分のサンドスターを1点失います。',
				'臭い付け：縄張りや餌場を主張し、維持するために、自分のテリトリーに自分の臭いを付けて回ります。判定に成功すると、自分が次に行う判定に＋２のボーナス修正が付きます。失敗すると、自分はサンドスターを2点失います。',
				'お昼寝：陽気に包まれて、なんだかとっても眠たい気分。木陰でぐっすりお昼寝の時間です。判定に成功すると、このシナリオの間自分のサンドスターの最大値が+2され、サンドスターが2点回復します。失敗すると、次のターンまたはシーンではシーンに登場できず、判定もできません。',
				'通り雨：天気予報もないフレンズ暮らしですが、それでも雨の気配や匂いくらいはわかります。雨の中活動すると、体温を奪われたり泥で汚れたりしてあまり良いこともありません。雨が止むまでは、木陰や洞穴、巣等でじっとしていましょう。判定することなく、全員はダメージカウンターを1個取り除くことができます。',
				'日向ぼっこ：ぽかぽか太陽の下、暖かくて気持ち良い気分です。日差しにあたって身体を温めます。判定に成功すると、シーンに登場しているPC全員のサンドスターが2点回復します。失敗すると、何も起こりません。',
				'餌探し：ジャパリまんを食べればいい、といっても、自分で食べ物探しや狩りごっこくらいはします。判定に成功すると、自分のサンドスターが2D6点回復します。失敗すると、自分はダメージカウンター１を受けます。',
				'水場を求めて：自然の中では、安全に飲める水源を見つけるのはなかなかに難しいもの。のどが渇いてくるその前に、水分補給ができる場所を探してみましょう。判定に成功すると、自分が次に行う判定に＋２のボーナス修正が付きます。失敗すると、自分はダメージカウンター１を受けます。',
				'休憩：身体を動かし続けると疲れてしまいます。ゆっくり休んで、身体の疲れや傷を癒やしましょう。判定することなく、自分のダメージカウンターを2個取り除くことができます。',
				'毛づくろい：身体についた汚れや寄生虫を落とすため、水や砂などを使って身体をお掃除します。鳥なら羽繕いです。判定に成功すると、任意のキャラクターのダメージカウンターを２つ取り除くことができます。失敗すると、自分はダメージカウンター１を受けます。',
				'爪とぎ/かじり木：鋭い爪や牙は強力な武器ですが、放っといても伸び続けるので、長さを調整しなければなりません。爪切りなんて、ありません。判定に成功すると、このシナリオの間自分の攻撃力が２点高いものとして扱います。失敗すると、自分はダメージカウンター１を受けます。',
				'水浴び：身体をきれいにして暑さもしのげる水浴びは、水がたくさんあるところでなら日課です。成功すると、このシナリオの間魅力の列を指定個性とする判定を行うときに＋１のボーナスが付き、さらにサンドスターが1D6点回復します。失敗すると、自分はサンドスターを1D6点失います。',
			]
    table.each{|i| i.gsub!(/$/, '')}
    return get_table_by_2d6(table)
  end
  
  # 遊びシーン表
  def get_play_event_table
      table = [
				'戦いごっこ：チームに分かれて、決められたルールに従って、戦いをします。役割分担と立ち回りが大切です。成功すると、次の戦闘のプロットでは自分は任意のキャラクター１体のプロットを知ることができます(味方の偵察で使うアビリティと扱います)。このプロットは、味方に公開することはできません。失敗すると、自分はダメージカウンター１を受けます。',
				'ゲーム：でんきで動く不思議な箱で遊びます。箱の中にはいろんな絵が詰まっていて、なんと動きます。その上音まで出ます。成功すると、サンドスターが1D6点回復します。失敗すると、１ターンが経過します。',
				'狩りごっこ：獲物を追いかけて飛びかかる、ハンティングの遊びです。野生の本能が躍動します。成功すると、このシナリオの間自分の攻撃力が＋２されます。失敗すると、自分はサンドスターを1D6点失います。',
				'ダンス：四肢を使ってポーズを取り、目を引くような魅力ある動きをします。ダンスを嗜む動物は意外に多いのです。成功すると、このシナリオの間に性格の列を指定個性とする判定を行うときに＋１のボーナスが付きます。失敗すると、自分はサンドスターを1点失います。',
				'歌：音の高さをいろいろと変えながら大きな声を出して、きれいな歌を唄います。成功すると、シーンに登場しているPC全員のサンドスターが1D6点回復します。失敗すると、シーンに登場しているPC全員がダメージカウンター１を受けます。',
				'おしゃべり：友だちと一緒にかしましくおしゃべりをします。身振り手振りを加えて、自分の感動を伝えます。成功すると、シーンに登場しているPC全員のサンドスターが2点回復します。失敗すると、何も起こりません。',
				'遊具で遊ぶ：パークには不思議な形をした遊具がたくさんあります。地面に半分埋まったまんまるなものや、細い棒でできた構造体、それに乗ると左右に動く乗り物や、観覧車など。成功すると、シーンに登場しているPC全員のサンドスターが1D6点回復します。失敗すると、自分はダメージカウンターを2受けます。',
				'滑り台：滑らかな下り坂になっている斜面を、重力に任せて滑り降ります。世の中には、滑るために作られた遊具もあるみたいです。成功すると、自分のサンドスターが2D6点回復します。失敗すると、自分のサンドスターを1D6点失います。',
				'お手玉：石や砂袋を器用に操り、放り投げてはもう片手でキャッチして、また放り投げてはキャッチする遊びをします。成功すると、このシナリオの間自分の命中力が＋１されます。失敗すると、自分のサンドスターを1D6点失います。',
				'ボール遊び：四肢やしっぽ、時には顔を使って巧みにボールを操り、相手チームのゴールにボールを入れる遊びをします。成功すると、このシナリオの間自分の回避力が＋１されます。失敗すると、自分はサンドスターを1D6点失います。',
				'マンガ/物語：目の前にないものを想像して物語にすることが得意なフレンズたちが作った様々な物語を、全部覚えたり本やマンガを使ったりして、語り聞かせます。成功すると、このシナリオの中で１回だけ、好きな判定で振ったダイスすべてをひっくり返すことができます。ダイスをひっくり返すと、出目は「7ー元の出目」になります。失敗すると、自分はサンドスターを1点失います。',
      ]
    table.each{|i| i.gsub!(/$/, '')}
    return get_table_by_2d6(table)
  end
  
  
  # 自然シーン表
  def get_nature_event_table
      table = [
				'雷雨：ピカッと稲光、一瞬空けて、轟音が鳴り響きます。辺りは大雨、しかもピカピカ、とても危ない状況です。成功すると、このシナリオの間自分の攻撃力が＋１されます。失敗すると、自分はダメージカウンターを2受けます。',
				'霧：見渡す限り真っ白、遠くの方がよく見えません。辺りに霧が立ち込めています。判定に成功すると、自分が次に行う判定に＋２のボーナス修正が付きます。失敗すると、１ターンが経過します。',
				'じめじめ：薄暗くて狭く、ちょっと生暖かい洞穴がありました。中に入ると、ちょっと落ち着くかもしれません。成功すると、このシナリオの間自分の生命力が＋１されます。失敗すると、自分のサンドスターを1点失います。',
				'不思議な植物：なにこれ？オジギソウやハエトリグサのような不思議な植物に出くわします。判定に成功すると、アイテム表を振ってアイテムを１個入手します。失敗すると、自分はダメージカウンターを１受けます。',
				'風の匂い：柔らかな風が、遠くの草花や潮の香りを運んできます。複雑な匂いですが、嗅ぎ分ければいろんな発見があります。判定に成功すると、アイテム表を振ってアイテムを１個入手します。失敗すると、自分のサンドスターを1点失います。',
				'見晴らし：広くて見晴らしが良い場所に来ました。ここなら別のちほーまで眺められます。判定に成功すると、自分のサンドスターが１点回復します。失敗しても何も起きません。',
				'鳥の歌：種々多様な鳥たちが啼き合って、さながら鳥のコーラスです。前後左右、それに上と、あらゆる方向から鳥たちの歌声が響き渡って来ます。判定することなく、自分のサンドスターが１点回復します。',
				'花畑：色とりどりの花が咲き誇る、それはそれは美しい花畑にやってきました。なんだか甘い香りが漂っています。成功すると、シーンに登場しているPC全員のサンドスターが1点回復します。失敗すると、１ターンが経過します。',
				'鏡写し：透明度の高い河や泉、湖の水面が、周辺の景色を映し出して、上と下が同じに見える不思議な光景を作り出しています。成功すると、シーンに登場しているPC全員のサンドスターが１回復します。失敗しても何も起きません。',
				'いろんな巣：動物たちの一部は、土や草木を使って、木々の上や地面の下など、色々な場所に巣を作ります。この辺りでは、バラエティ豊かな色々な巣が観察できるようです。このシナリオの間自分の防御力が＋１されます。失敗すると、自分のサンドスターを1点失います。',
				'ケセランパサラン：ふわふわした白い毛の塊みたいなものが、空をふらふら漂っているのを見つけました。成功すると、このシナリオの中で１回だけ、好きな判定で振ったダイスすべてをひっくり返すことができます。ダイスをひっくり返すと、出目は「7－元の出目」になります。失敗すると、自分はこのシナリオの間「趣味」を指定個性とする判定に－１のペナルティ修正が付きます。',
			]
    table.each{|i| i.gsub!(/$/, '')}
    return get_table_by_2d6(table)
  end

  # お祭りシーン表
  def get_festival_event_table
        table = [
				'気をつけて：ヒトの遺産の中には危険がつきもの。急に観覧車が外れて落ちてきたり、遊具が壊れたり、橋が落ちたりすることだってあります。危険を回避しないと、大変なことになります。判定に成功すると、自分はこのシナリオの間【反射神経】のアビリティを持っているものとみなします。既に持っている場合は、回避力が１高いものとみなします。失敗すると、シーンに登場しているPC全員がダメージカウンター２を受けます。',
				'ショー：演劇やダンス、アクション、ドルフィンジャンプといったショーを壇上で開催し、観客のフレンズたちを楽しませます。成功すると、このシナリオの間に身体の列を指定個性とする判定を行うときに＋１のボーナスが付きます。失敗すると、自分はサンドスターを1点失います。',
				'だらだら：ひだまりの下、みんなで集まってまったりゆっくりするのも良いものです。ちょうどだらだらするのに良さげな場所などもあります。判定に成功すると、このシナリオの間自分のサンドスターの最大値が+2され、サンドスターが2点回復します。失敗すると、次のターンまたはシーンではシーンに登場できず、判定もできません。',
				'ばすてき：足こぎ等で動く、ばすてきなものに乗って遊びます。足が届く大きさのものに乗りましょう。判定に成功すると、アイテム表を振ってアイテムを１個入手します。失敗すると、自分はサンドスターを1D6点失います。',
				'料理：火や調味料を使って、ジャパリまんではない加工した食べ物を作って振る舞います。判定に成功すると、シーンに登場しているPC全員のダメージカウンターを２つ取り除くことができます。失敗すると、自分はダメージカウンター１を受けます。',
				'ライブ！：アイドルユニットやバンドなどが、日頃の練習の成果を出して歌って踊ります。判定に成功すると、このシナリオの間自分の生命力が＋２されます。失敗すると、このシナリオの間「魅力」を指定個性とする判定に－１のペナルティ修正が付きます。',
				'ゆうえんち：パークにある不思議な形をしたモノに、登ったり、滑り降りたり、ジャンプしたり、競走したりして遊びます。成功すると、このシナリオの間自分の回避力が＋１されます。失敗すると、1D6のダメージカウンターを受けます。',
				'みんなで遊び：狩り役と狩られ役に分かれて走り回ったり、指定した色に触ればオッケーだったり、段差を上り降りしたりして、ルールを決めてみんなで遊びます。成功すると、次の戦闘のプロットでは自分は自分のプロットを味方全員に公開することができます(味方の偵察で使うアビリティと扱います)。失敗すると、このシナリオの間「身体」を指定個性とする判定に－１のペナルティ修正が付きます。',
				'ドリンクスタンド：お茶や椰子の実のミルク、果物のジュースといった飲み物をみんなでいただきます。木の実などと一緒にいただきたいものです。成功すると、シーンに登場しているPC全員のサンドスターが1D6点回復します。失敗すると、自分はダメージカウンター１を受けます。',
				'見知らぬ友だち：お祭りにはたくさんのフレンズが集まります。まだ会ったことがなかったフレンズや、よく知らないフレンズとお話しすれば、新発見があるかもしれません。成功すると、このシナリオの間に生息地の列を指定個性とする判定を行うときに＋１のボーナスが付きます。失敗すると、自分はサンドスターを1点失います。',
				'語り聞かせ：自分の体験や、マンガや物語を、みんなの前でお話して聞かせます。文字が読めるフレンズがいるなら、その子が本を読んでくれるかもしれません。成功すると、このシナリオの中で１回だけ、振ったダイス１個をひっくり返すことができます。ダイスをひっくり返すと、出目は「7－元の出目」になります。失敗すると、自分はサンドスターを1D6点失います。',
			]
    table.each{|i| i.gsub!(/$/, '')}
    return get_table_by_2d6(table)
  end
  
  # 探検シーン表
  def get_expedition_event_table
        table = [
				'金属のタネ：道中、植物のタネのような形をした不思議な金属を見つけます。手で抱えられるほどの大きさで、冷たく無機質な感じ。しかも、なんだか嫌な感じがします。成功すると、このシナリオの間自分が攻撃を行うとき、対象の生命力が３低いものとして処理を行います。失敗すると、自分はダメージカウンター２を受けます。',
				'山火事：落雷か何かが原因で、山の下草が燃え上がっています。自然の摂理とはいえこれはコワイ！煙に巻かれないように離れましょう。成功すると、自分はこのシナリオの間【火】のアビリティを持っているものとみなします。既に持っている場合は、このシナリオの間１回だけ、【火】のアビリティを手番を消費することなく使用できるようになります。失敗すると、シーンに登場しているPC全員がダメージカウンター１を受けます。',
				'大空洞：とっても大きな空洞がぽっかり口を空けています。中からは冷気が漂い、水音か何かの反響音が響き渡っています。足を滑らせないように、慎重に探索します。判定に成功すると、アイテム表を振ってアイテムを１個入手します。失敗すると、自分はダメージカウンター１を受けます。',
				'ミステリーサークル：道中、草がきれいなまんまるに刈られた不思議な場所を見つけました。自然の力？シロアリ？妖精？はたまた宇宙人？いったい誰がこんなことをしたのでしょうか？成功すると、自分が次に行う判定に＋２のボーナス修正が付きます。失敗すると、このシナリオの間「生息地」を指定個性とする判定に－１のペナルティ修正が付きます。',
				'巨大樹：とんでもない太くて大きい木を見つけました。フレンズ10人でも抱えきれないほどです。辺りは緑に染まり豊かな生態系を作っており、登ればどこまでも見渡せそうです。成功すると、シーンに登場しているPC全員のサンドスターが1D6点回復します。失敗すると、自分はダメージカウンター１を受けます。',
				'不思議な遺物：すべすべしていて、不思議な形をした物体を見つけました。ヒトが残したものでしょうか？ちょっと調べてみましょう。判定に成功すると、アイテム表を振ってアイテムを１個入手します。失敗すると、自分はサンドスターを1D6点失います。',
				'滝：さらさらと水が流れ落ちる滝に日光が差し込んで、まるで光のカーテンのようです。滝壺にちらりと映ったのは、大きな魚でしょうか？判定に成功すると、自分のサンドスターが1D6点回復します。失敗すると、何も起こりません。',
				'地底湖：冷え冷えとした空気が漂う洞窟を降りると、透明な水が溜まった大きな地下の湖を見つけました。足を滑らせないよう慎重に、探索します。成功すると、シーンに登場しているPC全員のサンドスターが2点回復します。失敗すると、自分はダメージカウンター１を受けます。',
				'発電施設：お日さまの光や地面の熱など、自然のエネルギーを利用して、電気のエネルギーを生み出す発電施設に着きました。ゴウンゴウンと重く低い音が響いてきています。判定することなく、全PCのサンドスターが１点回復します。',
				'柱の山：六角形の柱が無数に集まった、不思議な山みたいなものを見つけました。これもヒトの遺物でしょうか？不思議な模様が一面についています。成功すると、自分は２つの隣り合った個性を選択し、その間のギャップ部分はこのシナリオの間に限り埋まっている(個性判定の距離に数えない)ものとします。失敗すると、何も起こりません。',
				'紙のタネ：道中、巻物みたいな形をした不思議なタネを見つけます。花のような模様がいくつも描かれていて、紐がついています。成功すると、シーンに登場しているPC全員のサンドスターが1D6点回復します。失敗すると、自分はダメージカウンター１を受けます。',
			]
    table.each{|i| i.gsub!(/$/, '')}
    return get_table_by_2d6(table)
  end

  # 旅行シーン表
  def get_travel_event_table
        table = [
				'忘れ物：大変大変、さっきまで持っていたはずの大事なあのアイテムが、いつの間にやらなくなってしまっています！どうやって探したものでしょうか。成功すると、自分のサンドスターが1点回復します。失敗すると、PCたちが持っている任意のアイテムを１つ失います。アイテムを持っていない場合は、自分のサンドスターを1D6点失います。',
				'迷子：旅の途中、仲間とはぐれてしまいました！きっと向こうも自分を探していることでしょう。早く合流しないと、切ない思いをしてしまいます。成功すると、自分のサンドスターが1点回復します。失敗すると、１ターンが経過します。',
				'足がパンパン：長旅ですっかり足が疲れ切ってしまい、もうパンパンです。目的地まで急ぎたいところですが、これ以上サンドスターを消耗したくもありません。どうにか疲れを癒せないものでしょうか。成功すると、シーンに出た全員のサンドスターが2点回復します。失敗すると、１ターンが経過し、自分のサンドスターを1D6点失います。',
				'ロッジ：ろっじにやってきました。いろいろな種類のお部屋があり、自分の特性に合わせた場所で寝泊まりができるみたいです。見かけないフレンズもここに泊まっているみたいです。判定することなく、全PCのサンドスターが1D6点回復します。',
				'悪路：下生えが多かったり岩場だったり、あるいは岩礁があったりして、進みにくい地帯にやって来てしまいました。慣れない場所は歩きにくいものです。成功すると、自分のサンドスターが1点回復します。失敗すると、１ターンが経過します。',
				'野宿：自然の中で寝るのには危険がいっぱい。虫に刺されたり、天敵に襲われたりするかもしれません。安全かつ快適に寝られる場所を確保しましょう。判定に成功すると、シーンに出た全員のサンドスターが2点回復します。失敗すると、シーンに出た全員がサンドスターを2点失います。',
				'お風呂！：今日は、お風呂がある施設にやって来ました！旅の汚れを落とすには、やっぱりお風呂が一番です。判定に成功すると、シーンに出た全員のサンドスターが1D6回復します。失敗すると、のぼせてしまってシーンに出た全員がダメージカウンター１を受けます。',
				'カフェー：ここはカフェー、チャノキやたんぽぽ、茶色い豆、ハーブなどさまざまな草花を煎じて、苦い飲み物を作って出してくれるところです。成功すると、自分のサンドスターの最大値が+2され、サンドスターが2点回復します。失敗すると、自分はダメージカウンター１を受けます。',
				'珍しい生き物：めったに見かけることのない、しかし有名な動物や植物、キノコ等を見つけました。なんてラッキー！じーっと観察してみましょう。成功すると、自分は２つの隣り合った個性を選択し、その間のギャップ部分はこのシナリオの間に限り埋まっている(個性判定の距離に数えない)ものとします。失敗すると、何も起こりません。',
				'流れ星：かばんや草木をまくらに寝転がる夜。空を見上げれば、キラリと一筋の光が輝きます。とてもきれいです！判定に成功すると、アイテム表を振ってアイテムを１個入手します。失敗しても何も起きません。',
				'叡智の残滓：旅の途中立ち寄った場所に、ボロボロになった葉っぱの束みたいな、文字や絵が書かれた不思議なものが置いてあります。見ていてもよくわかりません。判定を要さず、「キラキラ」を１つ獲得し、さらに、シーンに登場した【文字】のアビリティを持つフレンズに限り、このシナリオの間サンドスター最大値が+2されます。',
			]
    table.each{|i| i.gsub!(/$/, '')}
    return get_table_by_2d6(table)
  end
  
  # 遺構シーン表
  def get_ruin_event_table
        table = [
				'細長い筒：遺跡の中で、細くて長くて持ち手があって、そして見ていると底知れない嫌な予感がする物体を見つけてしまいました。判定に成功すると、このシナリオの間自分がセルリアンに対して攻撃を行うとき、対象の生命力が４低いものとして処理を行います。失敗すると、このシナリオの間自分のサンドスターの最大値が１低下します（現在値が最大値を上回るようになった場合、現在値も最大値まで低下します）。',
				'穴だらけ：穴だらけの遺跡を見つけました。大きな穴に小さな穴、地面にも壁にもたくさんあります。判定に成功すると、アイテム表を振ってランダムにアイテムを１つ入手します。失敗すると、自分はサンドスターを2点失います。',
				'としょかん：こんなところにもとしょかんがありました。本がたくさん置いてあります。中で、何か役に立つものがあるかもしれません。判定を要さずシーンに登場しているPC全員のサンドスターが1点回復し、さらに【文字】のアビリティを持つフレンズに限り、このシナリオの間サンドスター最大値が+2されます。',
				'バス？：遺跡の中に、まんまるな足を４つ持った、不思議な形の大きなものを見つけました。これがウワサのバスでしょうか？判定に成功すると、シーンやロードムービー等の効果で「ターンが経過」する効果をこのシナリオ中１回だけ無視することができます。失敗すると、何も起こりません。',
				'絵：壁に大きな、「絵」が描かれています。絵を描くフレンズはあまりいないですし、こんなに大きくてきれいな絵はあんまり見たことありません。判定に成功すると、シーンに登場しているPC全員のサンドスターが1点回復します。失敗すると、何も起こりません。',
				'透明の壁：一見なにもないようで、光が歪んで見える不思議なものを見つけました。なんと、透明な壁です！判定に成功すると、アイテム表を振ってランダムにアイテムを１つ入手します。失敗すると、自分はダメージカウンター１を受けます。',
				'歌う箱：錆びついて古びた箱から、なんだか音が聞こえてきます。もしかして、この箱が歌っているのでしょうか？上に何か、鳥のくちばしのようなものがついているようですが…。判定に成功すると、シーンに登場しているPC全員のサンドスターが2点回復します。失敗すると、1ターンが経過します。',
				'とっても平ら：見渡す限りとっても平らな、石みたいなものや石でできた地面があります。隙間や割れ目から草木が生い茂っていますが、歩くとコツコツと硬い足音です。特に何も起こりません。',
				'毛皮だらけ：フレンズの毛皮は「ふく」といって、なんと取れます。しかし、目の前にあるのは吊るされた大量のふく。誰かが脱ぎ捨てていったのでしょうか、あまりに数が多すぎます。成功すると、このシナリオの間に生息地の列を指定個性とする判定を行うときに＋１のボーナスが付きます。失敗すると、自分はサンドスターを1点失います。',
				'ふかふか：毛皮や翼、あるいは綿毛の塊？やわらかくて、上でぴょんぴょん跳ねられる、ふかふかしたものを見つけました。成功すると、シーンに登場しているPC全員のサンドスターが1D6点回復し、ダメージカウンターを1個取り除くことができます。失敗すると、1ターンが経過します。',
				'どうぶつえん：遺構の中でも、パークと良く似た雰囲気を持った施設にやって来ました。ここは動物園といって、昔ヒトが世界中の動物たちを集めて、眺めていたんだそうです。成功すると、このシーンに登場している全PCはこのシナリオの間、野生解放アビリティを使用した際にクリンナップフェイズで支払うサンドスターが２少なくなります。失敗すると、持っている任意の個性１つがこのシナリオの間使用できなくなります。',

			]
    table.each{|i| i.gsub!(/$/, '')}
    return get_table_by_2d6(table)
  end
  
  
  # 料理シーン表
  def get_cooking_event_table
        table = [
				'怪しい葉っぱ：ジャパリまんをひとたび離れれば、パークには食べられそうな草花やきのこなどがたっくさんあります。しかし中には毒のあるものも！しっかりかぎ分けて、安全な料理ライフにしましょう。成功すると、シーンに登場しているPC全員のダメージカウンターを1個取り除きます。失敗すると、シーンに登場しているPC全員がダメージカウンター2を受けます。',
				'舶来品：海の向こうの別のエリアには、また別の料理が伝わっている、可能性があります。フレンズのネットワーク等を駆使して、珍しい料理を探してみます。成功すると、アイテム「ブルーベリーヨーグルト」を入手します。失敗すると、自分のサンドスターが1D6点失われます。',
				'ちょちょい：料理の材料を集めるため、ジャパリまんの材料を育てている畑にちょいちょいしに行きます。美味しそうなものを見繕って、いくつか拝借してしまいましょう。成功すると、アイテム表を振ってアイテムを１個入手します。失敗すると、このシナリオの間「性格」を指定個性とする判定に－１のペナルティ修正が付きます。',
				'塩加減：海の水や、土や岩から採れる「しお」はしょっぱくて、料理の味を決める大切なもので、そして生きるのに欠かせないものです。うまい塩加減にしましょう。成功すると、シーンに登場しているPC全員のサンドスターが2点回復します。失敗すると、シーンに登場しているPC全員のサンドスターが2点失われます。',
				'おかわり！：おいしい料理はたっくさん食べたいものです。食べ過ぎるとおなかいっぱい、ちょっと眠くなってきます。成功すると、このシナリオの間自分のサンドスターの最大値が+2され、サンドスターが2点回復します。失敗すると、このシナリオの間回避判定に－１のペナルティ修正を受けます。',
				'緋色の研究：紅茶の淹れ方は奥が深いもの。お湯の熱さや蒸す時間、入れる茶葉の量などによって、味や香りがまったく違います。できるだけ美味しくお茶を淹れる方法を探してみます。成功すると、シーンに登場しているPC全員のサンドスターが1D6点回復します。失敗すると、自分はダメージカウンター１を受けます。',
				'いろいろジャパリまん：ジャパリまんは各個体に合わせていろいろと中身が違うみたいです。ちょっと、他のフレンズ用のジャパリまんを食べてみたくなってきました。成功すると、自分のサンドスターが1D6点回復します。失敗すると、自分のサンドスターが1D6点失われます。',
				'ふるーつ：木々になる果物は、甘酸っぱくておいしい、そしてときには貴重な水分の源になる大切な食べ物です。絞ってジュースにしてもいいかもしれません！成功すると、このシナリオの間自分のサンドスターの最大値が+2され、サンドスターが2点回復します。失敗すると、自分が次に行う判定に－２のペナルティ修正を受けます。',
				'黄金の一粒：料理の味をキリリと引き締めるのは、様々な種類の香辛料です。ペッパーや唐辛子、ガラムマサラにナツメグ、それかカラシにわさびにニンニク生姜など、色々な「隠し味」を集めて試してみましょう。成功すると、このシナリオの間シーンに登場しているPC全員のサンドスターの最大値が+1されます。失敗すると、自分はダメージカウンター1を受けます。',
				'苦い野菜：ジャパリまんの材料の中には、とっても苦い野菜があるようです！どうにかおいしく食べられるようにできないでしょうか？成功すると、シーンに登場しているPC全員のダメージカウンターを1個取り除きます。失敗すると、自分のサンドスターが2点失われます。',
				'甘い誘惑：ジャパリまんの工場で稀に見つかる怪しい白い粉は、一舐めすればフレンズたちをとりこにする魔性の味です。なんせとっても甘いのです！これを使えば、色々なおいしいものが作れるかもしれません。成功すると、アイテム「赤ずきんタルト」が手に入ります。失敗しても何も起こりません。',
			]
    table.each{|i| i.gsub!(/$/, '')}
    return get_table_by_2d6(table)
  end
  
    
  # 航海シーン表
  def get_voyage_event_table
        table = [
				'大嵐：降り注ぐ水、水、水、それに吹きすさぶ大風、とどめに遠くにはピシャンと雷！大嵐です！ちゃんと船のバランスを取らないと、ひっくり返ってしまいそうです。成功すると、自分はこのシナリオの中で１回だけ、振ったダイス１個をひっくり返すことができます。ダイスをひっくり返すと、出目は「7ー元の出目」になります。失敗すると、PC全員はダメージカウンター2を受けます。',
				'暗礁地帯：この辺りの海は水深が浅く、ところどころ岩が突き出ている所も多いです。船の底がぶつかってしまえば動けなくなってしまいますし、船が壊れてしまうかもしれません。成功すると、このシナリオの間自分の回避力が１点高くなります。失敗すると、1ターンが経過します。',
				'かんかん照り：海の上に木はあんまりありません。遮るものも無いところに強烈な日差しが降ってきますから、船の中は熱くなってしまいます。飲み水だって限られているわけですから、暑さは脅威。どうにか涼しく過ごせないでしょうか？成功すると、シーンに登場しているPC全員のサンドスターが2点回復します。失敗すると、シーンに登場しているPC全員のサンドスターが2点失われます。',
				'赤い海：海を進んでいると、ぎょっとするような光景を目にします。陸地に近い海面が、なんと赤く染まっているのです！あれは赤潮といって、海の中の小さな生き物が無数に繁殖することで起きるそうです。成功すると、このシナリオの間自分の生命力が３点高くなります。失敗すると、自分のサンドスターが2点失われます。',
				'時化：風が強くなり、波が高くなってきました。高い波が来るたび、船が右へ左へ揺らされます。こうグラグラ揺れると、耳の中がグラグラして、頭がクラクラしてしまいそうです。成功すると、このシナリオの間自分のサンドスター最大値が２点高くなり、自分のサンドスターが２点回復します。失敗すると、自分のサンドスターが1D6点失われます。',
				'潮風に乗って：海の上を走っていると、上の方からみゃあみゃあと啼き声が聞こえてきます。たくさんの鳥たちが、まっすぐな列を組んで海の上を渡っているのです。きれいです！判定に成功すると、自分のサンドスターが１点回復します。失敗しても何も起きません。',
				'魚の群れ：船の上から海面を見ていると、大量の黒い影が前を横切っていくのが見えました。中には、海上に飛び出て来る魚もいます。この辺りには、たくさんの魚たちが暮らしているようです。このシナリオの間、自分が「水地」「海上」の序列にいるときに、判定に成功すると命中力と回避力に＋１のボーナスが、失敗すると命中力と回避力に－１のペナルティが付きます(「飛行」であっても良い)。',
				'小島を発見：水平線まで続く広い海の中、よく見ると小さい島があるのがわかります。不思議な形の木が生えているみたいですが、水深は浅いので船をあんまり近づけるわけにもいきません。泳いで上陸してみたら、何か面白いものがあるかもしれません。成功すると、アイテム表を振ってアイテムを１個入手します。失敗すると、自分はサンドスターを2点失います。',
				'星空の夜：雲がほとんどない今日みたいな夜は、船に横になって空を見上げると、月や星々がキラキラ輝いているのが見えます。星の位置を使って、方角を知ることもできるそうです。成功すると、このシナリオで１回だけ「１ターンが経過」する効果を無視できます。失敗すると、何も起こりません。',
				'うずしお：海がぐるぐる渦巻いているところを見つけました！これはうずしおといって、潮の満ち引きによって海が狭まったところから水が流れ込むことで起きるそうです。判定に成功すると、PC全員のサンドスターが１点回復します。失敗しても何も起きません。',
				'輝く海：この辺りの海は、宝石のように緑色や青色にきらめいて、キラキラ輝いているように見えます。サンゴのおかげか、それともサンドスターの影響でしょうか？判定を要さず、「キラキラ」を１つ獲得します。',
			]
    table.each{|i| i.gsub!(/$/, '')}
    return get_table_by_2d6(table)
  end
    
  # 音楽シーン表
  def get_music_event_table
        table = [
				'ガラガラ声：歌いすぎたのか、声がガラガラになってしまいました！喉は痛いし、声もうまく出せないし、さんざんです。治すにはどうすれば良いでしょうか。成功すると、このシナリオの間自分のサンドスター最大値が２点高くなり、自分のサンドスターが２点回復します。失敗すると、自分はダメージカウンターを１点受けます。',
				'近所迷惑？：大きな声で歌の練習をしていると。ご近所さんからクレームが入ってしまいました。場所を変えるなり、あるいは音が漏れにくい建物を探すなりして、対策する必要がありそうです。成功すると、アイテム表を振ってアイテムを１個入手します。失敗すると、自分が次に行う判定に－２のペナルティ修正を受けます。',
				'リズムに乗って：トントントトンと、手足でリズムを取ります。上手にリズムを取れれば、心震わすようなパフォーマンスができるものです。ちょっと複雑なリズムにも挑戦してみましょう。成功すると、このシナリオの間自分の命中力が１点高くなります。失敗すると、自分のサンドスターが１点失われます。',
				'一緒にダンスを：歌を歌いながら、一緒に身体を派手に動かすダンスを織り交ぜていきます。とおっても疲れますし、集中力も使いますが、アイドルの道は険しいのです。成功すると、このシナリオの間自分の回避力が１点高くなります。失敗すると、自分のサンドスターが2点失われます。',
				'音を出す道具：パークの中には、音を出すための不思議な道具が見つかることがあります。だいたいは変な音になってしまっていますが、叩いて音を出すタイプのものならちゃんとした音が出るものもあります。成功すると、このシナリオの間自分の攻撃力が２点高くなります。失敗すると、このシナリオの間自分の防御力が２点低くなります。',
				'お腹で息を：歌が上手なフレンズいわく、フレンズの身体で上手に歌を歌うには、お腹で息をできることが大切なんだそうです。お腹の筋肉を使って、胸いっぱいに息を吸い込んでいきます。成功すると、このシナリオの間自分のサンドスター最大値が２点高くなります。失敗すると、自分のサンドスターが１点失われます。',
				'リラックスタイム：上手に歌を歌うコツは、こわばった身体をリラックスさせること。身体を伸ばしたりひなたぼっこしたりして、身体をうんと柔らかく緩めてあげましょう。成功すると、自分のサンドスターが1D6点回復します。失敗しても何も起こりません。',
				'喉に良いお茶：歌を歌い続けていると喉に負担がかかるものです。カフェで喉に良いお茶をいただきましょう。マーシュマロウやマローブルーのハーブの力出、喉を守ってもらいます。成功すると、自分のサンドスターとダメージカウンターが2点ずつ回復します。失敗しても何も起こりません。',
				'ハミング：口を閉じたまま歌う練習をします。息を閉じ込めたまま口や鼻の中で音を共鳴させ、大きな声を出さずとも遠くまで響き渡る声を出せるようになるのです。成功すると、自分はこのシナリオの間野生解放の後でクリンナップフェイズに失うサンドスターが１点減ります(最低0点)。失敗すると、自分のサンドスターが1点失われます。',
				'リップトリル：上手に声を出す練習として、唇を軽く閉じたまま声を出して、唇を震わせるようにします。成功すると、自分は任意の１つのアビリティを指定して、このシナリオの間そのアビリティによるサンドスターのコストを１点減らせます(最低0点)。失敗すると、自分のサンドスターが1点失われます。',
				'プライベートコンサート：たくさんのフレンズたちの前で歌うのも楽しいですが、大事な友だちに聴かせるためだけに歌うのもまた楽しいものです。それこそ建物やライブ会場を使って、プライベートな音楽公演を行います。成功すると、自分はこのシナリオの間１回だけ、「コスト：手番」のアビリティを使っても手番を失わず、攻撃や「コスト：手番」アビリティを行うことが出来ます。失敗すると、自分のサンドスターが1D6点失われます。',
			]
    table.each{|i| i.gsub!(/$/, '')}
    return get_table_by_2d6(table)
  end
    
    
  # 追憶シーン表
  def get_reminiscence_event_table
        table = [
				'躯の山：木々がまばらに生える小高い丘に、無数のヒトだったものが積まれた場所にやって来ました。地面が灰白色に見えるほどたくさんあって、窪んだ眼窩がこちらを向いているような気がして、とっても気味が悪いです。判定に成功すると、このシナリオの間自分はいつでも、任意の数のダメージカウンターを受けることと引き換えにそれと同数のサンドスターを回復することができるようになります。失敗すると、自分はサンドスターを4点失います。',
				'兵器庫：鉄などの金属でできた、細長い筒や大きな筒などの道具がたくさん残っている場所にやって来ました。辺りにはセルリアンも多いようで、気をつけなければなりません。判定に成功すると、このシナリオの間自分の「攻撃力」が１点上昇します。失敗すると、自分はダメージカウンター１を受けます。',
				'病院：たくさんのベッドや空っぽの薬瓶、尖った針が付いた注射器などの不思議な形をした道具など、医療に用いる道具がたくさん置かれた建物にやって来ました。廊下にまでベッドが置かれていて歩きにくく、薄いピンク色をした壁が真っ直ぐ続くさまはどこか不気味です。判定に成功すると、このシナリオの間「得意」を指定個性とする判定に＋１のボーナス修正が付きます。失敗すると、自分はダメージカウンター１を受けます。',
				'虹色の山：火口からまるで扇のように、虹色の　　　　　　の結晶が固まった、大きな山にやって来ました。周辺にはセルリアンも多いようで、注意しながら歩く必要があります。判定に成功すると、「キラキラ」を１個入手します。失敗すると、シーンに登場しているPC全員がダメージカウンター１を受けます。',
				'タワー：天高くそびえ立つ、とても細長くて大きな塔、高層ビルが立ち並ぶ一帯にやって来ました。中には崩れたビルも多く、道にはクルマが並んでいて歩きにくいです。塔の中には毛皮や色とりどりの道具があって、全く同じ絵がたくさんあったり、ゲームみたいな箱が山ほどあったりします。判定に成功すると、アイテム表を振ってアイテムを１個入手します。失敗すると、自分はサンドスターを1D6点失います。',
				'ヒトの巣：四角い窓が縦横に整然と並んだ大きな建物、が何棟も何棟も立ち並んだ、ヒトの巣が集まった場所にやって来ました。草が茂る道には、不思議な形のおもちゃがいくつか転がっています。錆びついた扉を開けて巣の中に入れば、ベッドやイス、テーブル、クローゼットといった家財が残されています。判定に成功すると、シーンに登場しているPC全員のダメージカウンターを２つ取り除くことができます。失敗すると、１ターンが経過します。',
				'競技場：かつて大勢の人が集まって、競技や遊戯を楽しんでいた、まあるくてとても大きな建物にやって来ました。たくさんの歓声が残響のように耳に届いた、ように思えるのは気のせいでしょうか？辺りにはちらほらとサンドスターが揺れ動いています。判定に成功すると、シーンに登場しているPC全員のサンドスターが1D6点回復します。失敗すると、このシナリオの間「身体」を指定個性とする判定に－１のペナルティ修正が付きます。',
				'大図書館：レンガを山ほど積んで作られた、巨大な図書館にやって来ました。上層階の多くの本は朽ちてしまっているものの、地下階には読んでも読み切れないほどのたくさんの本に、さらにマイクロフィルム化された書物や資料の数々が残されています。判定に成功すると、このシナリオの間「性格」を指定個性とする判定に＋１のボーナス修正が付きます。失敗すると、１ターンが経過します。',
				'霊園：花が咲き乱れる中に、同じ形をした細長い石がたくさん、同じ間隔でまっすぐに並んでいます。花々の少し甘い香りがしていて、遠くの景色もよく見えて、ゆっくりと休めそうな場所です。成功すると、シーンに登場しているPC全員のサンドスターが1D6点回復します。失敗すると、自分はサンドスターを1D6点失います。',
				'聖域：美しい装飾が施された、静謐で厳かな雰囲気を放つ建物にやって来ました。中には草木が生い茂り、屋根から差し込む光と合わさってとてもきれいです。判定に成功すると、PC全員のサンドスターが3点回復します。失敗すると、自分はダメージカウンター１を受けます。',
				'自然公園管理棟：自然環境の保護または保存や、絶滅の危機に瀕する種の保存のために、ヒトが自ら律して定めた自然の楽園にやって来ました。他の地域と比べて　　　　　　の影響が小さいようで、非常に多様な生態系と多数の固有生物種が残されています。きっとここには、フレンズもたくさん暮らしていることでしょう！判定に成功すると、シーンに登場しているPC全員はこのシナリオの間１回だけ、振ったダイス１個をひっくり返すことができます。ダイスをひっくり返すと、出目は「7－元の出目」になります。失敗すると、シーンに登場しているPC全員はサンドスターを2点失います。',
			]
    table.each{|i| i.gsub!(/$/, '')}
    return get_table_by_2d6(table)
  end
    
    
  # 廃墟シーン表
  def get_remains_event_table
        table = [
				'キヲクと共に：とても大きなまあるい穴を見つけました。アリジゴクの穴のように底に向かってへこんだ形をしていて、周囲が木々に覆われているにも関わらず、穴の中はきれいに平らな石だけになっています。よく見ると、辺りには同じような大穴がいくつかあるようです。判定に成功すると、自分はこのシナリオ中２回だけ、振ったダイスの１の目をひっくり返して６の目にすることができるようになります。失敗すると、このシナリオの間自分のサンドスターの最大値が２低下します（現在値が最大値を上回るようになった場合、現在値も最大値まで低下します）。',
				'廃工場：木々や草花が生い茂る中に建物やバスがたくさん集まっていて、金属でできた管が建物から建物へとあちこち繋がった、わちゃわちゃした場所にやって来ました。中には珍しい道具がたくさんあるみたいです。判定に成功すると、アイテム表を振ってアイテムを１個入手します。失敗すると、自分はサンドスターを1D6点失います。',
				'白いサンゴ礁：この辺りは色とりどりのサンゴ礁によって海の色が七色に変化する美しい海域ですが、その中に白くくすんだ海域があります。白く骨のようになったサンゴが一面に広がっており、崩れて黒い岩のようになってしまったものも多く、グロテスクな光景です。判定に成功すると、このシナリオの間「生息地」を指定個性とする判定に＋１のボーナス修正が付きます。失敗すると、自分はダメージカウンターを１受けます。',
				'奉仕者の部屋：金属製のゲームみたいな箱が縦に横にと整然と並べられて、部屋の中央に据え付けてある部屋を見つけました。箱の中には細長い金属製の紐があちこち伸びています。成功すると、シーンに登場しているPC全員のサンドスターが2点回復します。失敗すると、このシナリオの間「性格」を指定個性とする判定に－１のペナルティ修正が付きます。',
				'鉄の道：建物が立ち並ぶ中に、金属の網で囲われた長い道があります。小石や砂利でできた道の上に、２本セットの細長い鉄の棒が乗っていて、ながーく並べられています。この道は、街の中を貫いてどこまでも続くみたいで、さらには、橋の上や地面の下を通ることもあるみたいです。判定に成功すると、シーンやロードムービー等の効果で「ターンが経過」する効果をこのシナリオ中１回だけ無視することができます。失敗すると、自分はサンドスターを2点失います。',
				'田園：平らな地面の野原にやって来ました。小さな川がそこかしこに流れている草原で、ところどころ灌木が群生しています。近くの建物には、大きな腕を持ったバスや、カゴを持ったバスみたいなものがあります。成功すると、シーンに登場しているPC全員のサンドスターが1点回復します。失敗しても何も起こりません。',
				'消費の楽園：鮮やかな色をした看板に大きな文字が踊り、不思議な形のオブジェが置かれた、とても広くて楽しそうな建物があります。中には大きな毛皮やたくさんの道具、それに色んなおもちゃが置かれています。判定に成功すると、このシナリオの間「性格」を指定個性とする判定に＋１のボーナス修正が付きます。失敗すると、1ターンが経過します。',
				'青い春：砂場やシーソーなどの遊具が併設された大きな建物があります。中の部屋には机と椅子が何列かに並べられていて、机の上にはゲームみたいな箱が１個ずつ、部屋の奥には絵を描いて消せる不思議な板があります。成功すると、自分はこのシナリオの間１回だけ、サンドスターを消費することなく「振り直し」を行えます。失敗すると、このシナリオの間「得意」を指定個性とする判定に－１のペナルティ修正が付きます。',
				'蝶よ花よ：高い高い細長い塔がそびえ立っていますが、他の透明貼りな塔とは違って、箱を50段くらい重ねたような形をしていて、四角い窓が沢山ついています。中に入ると、ベッドやクローゼット、小さなテーブルがあって、それに動物を模したかわいいおもちゃや、フレンズサイズより少し大きな黒っぽい毛皮があります。成功すると、シーンに登場しているPC全員のダメージカウンターを2個取り除くことができます。失敗すると、PC全員のサンドスターが1点失われます。',
				'負の螺旋：海岸線の先に、建物や塔が集まった場所があります。壊れた道具が山のように積まれていて、中を見るとテーブルや滑り台が所狭しと並べられており、色んな形の金属を集めて潰して四角くしたものがたくさんあります。判定に成功すると、自分はこのシナリオ中１回だけ、使ったアイテムをもう１回使えるようになります。失敗すると、自分はダメージカウンターを１受けます。',
				'旅は永遠に：森に囲まれた中に、広い道、大きな建物、そして赤と白に塗り分けられた金属製の高い塔を見つけました。建物の中には、とんでもなく大きくて先が尖った、角のような細長い物があります。よく見ると、小さな翼もついているようです。成功すると、このシナリオ中自分は「道具」カテゴリの中から任意の１つのアビリティを習得しているものと扱います。失敗すると、このシナリオの間自分の生命力の値が１低下します。',
			]
    table.each{|i| i.gsub!(/$/, '')}
    return get_table_by_2d6(table)
  end


  # 交流シーン表
  def get_communication_event_table
        table = [
				'けんか：なんだか気に入らないことがあってか、すっちゃかめっちゃか大喧嘩になってしまいました。でも仲良しです。成功すると、任意のキャラクターを選択し、そのキャラクターと自分はお互いに対して１点の感情値を取得します。失敗すると、自分が持つ任意の感情値を１点失います。',
				'長いお説教：危なっかしい友だちを見ると、ついつい長いお説教をしたくなるもの。それも心配ゆえのことですが、できれば短めにしましょう。任意のキャラクター１人を選択して判定します。成功すると、そのキャラクターと自分はお互いに対して１点の感情値を取得し、「サポート」の残り回数を全回復します。失敗すると、そのキャラクターと自分はお互いに対する感情値を１点失います。',
				'みんなでゲーム！：パークの各地にあるゲーム機や、あるいは地面に書かれた絵、はたまたボールや遊具などを使って、みんなで楽しく遊びます。成功すると、シーンに登場したPC全員は任意のキャラクターに対する「サポート」の残り回数を全回復します。失敗すると、１ターンが経過します。',
				'笑い笑えば：面白いものを見つけたり、一緒に冗談を飛ばし合ったりして、高らかに笑い笑えばみんな友だちです。成功すると、シーンに登場したPC全員は任意のキャラクターに１点の感情値を取得できます。失敗すると、自分はこのシナリオ中「得意」を指定個性とする判定に－１のペナルティ修正が付きます。',
				'たまには２人で：たまには２人で語り合います。嬉しかったこと、嫌だったこと、アドバイスや新しい出会いの報告などなど、話したいことがたっくさんあります。任意のキャラクター１人を選択して判定します。成功すると、そのキャラクターと自分はお互いに対して２点の感情値を取得します。失敗すると、自分はそのキャラクターに対する感情値を１点失います。',
				'どんなフレンズ？：お互いに、自分がどんなフレンズなのか自己紹介しあいます。得意なワザなど見せ合いっこするのも良いでしょう。成功すると、任意のキャラクターを選択し、そのキャラクターと自分はお互いに対して１点の感情値を取得します。失敗すると何も起こりません。',
				'近況報告：最近自分に起きたこと、見つけた不思議なもの、出会った友だちなどなど、身振りを交えて報告します。任意のキャラクター１人を選択して判定します。成功すると、そのキャラクターと自分はお互いに対して１点の感情値を取得し、「サポート」の残り回数を全回復します。失敗すると、自分はサンドスターを2点失います。',
				'いっしょにたべましょ：みんなで一緒に、おしゃべりしながら、ジャパリまんや料理などを食べます。一緒に食事をすれば、もう仲間です。成功すると、シーンに登場したPC全員は任意のキャラクターに対して１点の感情値を取得できます。失敗すると、シーンに登場したPC全員は自分が持つ任意の感情値を１点失います。',
				'サファリメロディ：仲間たちで歌を唄い合います。十人十色の鳴き声を持つけもの達ですが、だからこそ高さや響の違う音たちがハーモニーを生み出すことだってあります。成功すると、自分に対してシーンに登場したPC全員からの感情値が1点増加します。失敗すると、自分に対してシーンに登場したPC全員からの「サポート」の残り回数が１減ります。',
				'手を繋いで：フレンズの身体になって、前足ならぬ手の感覚が随分と強くなりました。手を重ね合わせることで、お互いを感じ合うことができます。任意のキャラクター１人を選択して判定します。成功すると、そのキャラクターと自分はお互いに対して２点の感情値を取得します。失敗すると、何も起こりません。',
				'合縁奇縁：この広い広い世界の中で、2人が生まれて、同じ時間、同じ場所に立ったというのは、この世の奇跡を重ね合わせた一期一会の出会いに他なりません。成功すると、アイテム「思い出のお守り」を入手します。このアイテムを使用すると、自分が誰か１人に対して持つ感情値について、「サポート」の回数が全回復します。アイテムの名称を、そのシーン等に合わせた別のものに変更しても構いません。失敗すると、自分が誰か１人に対して持つ感情値について、「サポート」の残り回数が０になってしまいます。',

			]
    table.each{|i| i.gsub!(/$/, '')}
    return get_table_by_2d6(table)
  end
  
    
  # 群れシーン表
  def get_pack_event_table
        table = [
				'はぐれもの：この頃、あんまり群れに混じらないで１人でいるフレンズがいるみたいです。群れの中にのけものはいませんが、１人でいたい時もある、のでしょうか？任意のキャラクター１人を選択して判定します。成功すると、そのキャラクターと自分はお互いに対して２点の感情値を取得します。失敗すると、そのキャラクターはこのシナリオの間、自分に対して「サポート」が使えなくなります。',
				'戦いごっこ：危なくないものを持って、戦いごっこをします。フィールドの外に出たら負けです。任意のキャラクター１人を選択して判定します。成功すると、そのキャラクターと自分はお互いに対する「サポート」の残り回数を全回復します。失敗すると、自分はダメージカウンター１を受けます。',
				'狩りごっこ：集団での狩りはチームワークが大切です。一隊が相手を追いかけ、もう一隊で待ち伏せし、さらにもう一隊が見張りと遊撃をします。成功すると、自分は次の戦闘で自分が選んだ序列を味方全員に教えることができます(味方の偵察で使うアビリティと扱います)。失敗すると、自分はダメージカウンター１を受けます。',
				'一緒にお風呂：みんなで一緒に水浴び、もしくは温泉等に入ります。近くで見ると、フレンズごとの身体の違いがよくわかります。成功すると、シーンに登場したPC全員は任意のキャラクターに１点の感情値を取得できます。失敗すると、１ターンが経過します。',
				'遠吠え：夜な夜な遠くにいる仲間と、大きな声を出して交信しあいます。声を受けた仲間もまた大きな声を上げて、遠吠えは連鎖していきます。成功すると、自分に対してシーンに登場したPC全員からの感情値が1点増加します。失敗すると、自分に対してシーンに登場したPC全員からの「サポート」の残り回数が１減ります。',
				'大騒ぎ：フレンズ３人集まればかしましい。大勢揃えばどったんばったん大騒ぎです。成功すると、シーンに登場したPC全員は任意のキャラクターに１点の感情値を取得できます。失敗すると、シーンに登場したPC全員は自分が持つ任意の感情値を１点失います。',
				'毛づくろい：お互いの身体を毛づくろいや羽繕いすることで、自分では取れないような汚れや寄生虫等を取るとともに、お互いへの思いを確認します。任意のキャラクター１人を選択して判定します。成功すると、そのキャラクターと自分はお互いに対して２点の感情値を取得します。失敗すると、自分はサンドスターを2点失います。',
				'レッスン：お互いの技術を教え合うことで、群れ全体で知識を共有することができます。つまりはお稽古です。任意のキャラクター１人を選択して判定します。成功するとそのキャラクターは、自分が持っていて、「汎用」カテゴリまたはそのキャラクターの得意分野の条件を満たすアビリティを１つ、このシナリオの間に限り習得することができます。すなわち、野生解放アビリティや能力値プリセット、攻撃タイプで習得するアビリティは習得できません。失敗すると、そのキャラクターから自分への「サポート」の残り回数が０になってしまいます。',
				'役割分担：身体の大きいフレンズ、力が強いフレンズ、すばしっこいフレンズ、賢いフレンズなどなど、群れはそれぞれの得意分野で役割分担することで真価を発揮します。成功すると、このシナリオ中１回だけ、自分が行う判定を他のPCにやってもらうことができます。アビリティや、命中力、回避力による補正は、判定を行うPCのものを適用します。失敗すると何も起こりません。',
				'一緒に料理：材料を集めて手分けして、みんなで仲良くお料理をします。おいしい料理ができると良いのですが…。成功すると、シーンに登場したPC全員は任意のキャラクターに１点の感情値を取得できます。失敗すると、シーンに登場したPC全員はシーンプレイヤーのPCに対する感情値を１点失います。',
				'お泊り：みんなでワイワイお泊りです！けものの性質に合わせて各自てんでバラバラに寝ますが、それでも一緒に寝るというのは安心感があるものです。成功すると、アイテム「思い出のお守り」を入手します。このアイテムを使用すると、自分が誰か１人に対して持つ感情値について、「サポート」の回数が全回復します。アイテムの名称を、そのシーン等に合わせた別のものに変更しても構いません。失敗すると、１ターンが経過します。',

			]
    table.each{|i| i.gsub!(/$/, '')}
    return get_table_by_2d6(table)
  end
      
    
  # 遊具シーン表
  def get_playground_event_table
        table = [
				'階段：高いところに歩いて登れるように作られた、段差がいくつも続いていく道、階段があります。その横には、掴まれる手すりもあるようです。色んなルールを作ることで、色んな遊び方ができそうです。成功すると、自分は任意のPC1人に2点の感情値を取得します。失敗しても何も起こりません。',
				'コースター：まあるい大きな桶や、高いところを渡れる道など、見ているだけで心躍る大きな遊具です。登って遊べます。成功すると、シーンに登場しているPC全員は「サポート」の残り回数を、感情値を持つキャラクターごとに各2回分ずつ回復します。失敗すると、自分はダメージカウンター２を受けます。',
				'シーソー：両側にフレンズが乗ると、ギコギコと音を鳴らしながら上がったり下がったりする不思議な遊具があります。任意のキャラクター１人を選択して判定します。成功すると、そのキャラクターと自分はお互いに対する「サポート」の残り回数を全回復します。失敗すると、自分に対するそのキャラクターからの「サポート」の残り回数が０になります。',
				'いろいろゲーム：電気の力で動くゲームの数々です。触ると色々音が出て、中で色々動きます。ゲームオーバーにならないように、中の子を上手に動かしていきましょう。成功すると、シーンに登場したPC全員は任意のキャラクターに１点の感情値を取得できます。失敗すると、シーンに登場したPC全員は任意のキャラクターへの「サポート」の残り回数を１減らします。',
				'棒：錆びついた鉄でできた細長い棒です。ぶらさがったり、掴まってぐるぐる回ったりできます。判定に成功すると、このシナリオ中自分の「命中力」が１点上昇します。失敗すると、自分はダメージカウンター２を受けます。',
				'滑り台：ヒトが作ったのか、あるいは自然にできたのか、斜めになった板があります。上から滑ることで、勢いをつけて下まで降りられます。成功すると、自分に対してシーンに登場したPC全員からの感情値が1点増加します。失敗すると、自分はダメージカウンター１を受けます。',
				'アスレチック：段差やらすべり台やら板やら、いろんなものを組み合わせた複雑な形をした遊具です。端から端まで行くには、色んな運動をしなければなりません。判定に成功すると、このシナリオ中自分の「回避力」が１点上昇します。失敗すると、自分はダメージカウンター１を受けます。',
				'空中ブランコ：木々や建物からぶら下がった２本の紐や鎖に板を渡した遊具で、板の上に座って勢いをつけると前へ後ろへとぶらぶら動きます。成功すると、自分に対してシーンに登場したPC全員からの感情値が1点増加します。失敗すると、自分はダメージカウンター２を受けます。',
				'オブジェ：印象的な形をしたモノを見つけました。動物をかたどったものや、大きな建物から筒やら角やらが飛び出した不思議なモノ、中に入れるフネの形をしたものもあります。判定に成功すると、アイテム表を振ってランダムにアイテムを１つ入手します。失敗すると、自分のサンドスターを2点失います。',
				'積み木：四角や三角のきれいな形に切った木や、デコボコがついたハコなどなど、組み合わせて様々な形を作れるおもちゃです。成功すると、シーンに登場したPC全員は任意のキャラクターを選択し、そのキャラクターに対する「サポート」の回数を全回復した上でさらに１点の感情値を取得できます。失敗すると、シーンに登場したPC全員は自分が持つ任意の感情値を１点失います。',
				'アトラクション：パークの施設として作られた大掛かりな遊具です。様々な種類があり、近づくと声が出たりします。成功すると、このシナリオ中、自分に対するあらゆるキャラクターからの「サポート」は達成値を１ではなく２上昇させるようになります。失敗すると、このシナリオ中「趣味」を指定個性とする判定に－１のペナルティ修正が付きます。',

			]
    table.each{|i| i.gsub!(/$/, '')}
    return get_table_by_2d6(table)
  end

  def get_item_table
    table = [
        '秘密の小瓶（野生解放サンドスター消費－２）',
        'キツネのお札（ダメージダイス＋２）',
        'ひまわりの種（達成値＋１）',
        'みかんもなか（味方全員サンドスター２回復）',
        'はちみつリンゴ（ダメージ１回復）',
        'キラキラ（サンドスター1D6回復）',
        'ブルーベリーヨーグルト（ダメージ!d6回復）',
        'マーコールの傷薬（味方１人ダメージ２回復）',
        '赤ずきんタルト（味方全員ダメージ1D6回復）',
        'スーパーけもの水（１Ｒ１回アビリティを２回使用）',
        'マジックキャンディー（サンドスター全回復）',
            ]
    table.each{|i| i.gsub!(/$/, '（P241）')}
    return get_table_by_2d6(table)
  end

  def get_personality_table
    output1 = ''
    output2 = ''
    total_n2 = ""

    output1, total_n1 = get_field_table

	case total_n1
		when 1
			output2, total_n2 =  get_kosei_physique_table
		when 2
			output2, total_n2 =  get_kosei_capability_table
		when 3
			output2, total_n2 =  get_kosei_attraction_table
		when 4
			output2, total_n2 =  get_kosei_character_table
		when 5
			output2, total_n2 =  get_kosei_hobby_table
		when 6
			output2, total_n2 =  get_kosei_location_table
	end
    result = "《#{output2}／#{output1}#{total_n2}》"
    number = "#{total_n1},#{total_n2}"
	return result, number
  end

  def get_field_table
    table = [
        '身体',
        '得意',
        '魅力',
        '性格',
        '趣味',
        '生息地',
            ]
    return get_table_by_1d6(table)
  end

  def get_kosei_physique_table
    table = [
        '翼',
        '長毛',
        '角・牙',
        '鱗',
        '大型',
        'しっぽ',
        '小型',
        'くちばし',
        'ヒレ',
        '爪・蹄',
        'フード',
            ]
    return get_table_by_2d6(table)
  end
  
  def get_kosei_capability_table
    table = [
        'ピット器官',
        '目が良い',
        '泳ぎ',
        'ジャンプ',
        '足が速い',
        '耳が良い',
        '鼻が利く',
        '巣作り',
        '穴掘り',
        'スタミナ',
        'かしこい',
            ]
    return get_table_by_2d6(table)
  end

  def get_kosei_attraction_table
    table = [
        'UMA',
        '優しい',
        '匂い',
        '毛並み',
        '模様',
        '笑顔',
        '鳴き声',
        '眼差し',
        '派手',
        'えっち',
        '単純',
            ]
    return get_table_by_2d6(table)
  end

  def get_kosei_character_table
    table = [
        '偉そう',
        'ミステリアス',
        '硬派',
        '方言',
        '臆病',
        '元気',
        '楽観的',
        '丁寧',
        'マイペース',
        'ドジっ子',
        '不思議',
            ]
    return get_table_by_2d6(table)
  end

  def get_kosei_hobby_table
    table = [
        '料理',
        '戦い',
        '狩り',
        '水浴び・温泉',
        '寝る',
        'おしゃべり',
        '遊び',
        '歌',
        '踊り',
        'ゲーム',
        'マンガ',
            ]
    return get_table_by_2d6(table)
  end

  def get_kosei_location_table
    table = [
        '雪山',
        'ツンドラ',
        '海洋',
        '河川・湖沼',
        '山岳',
        '森林',
        'ジャングル',
        '平原',
        'サバンナ',
        '砂漠',
        '都市や遺跡',
            ]
    return get_table_by_2d6(table)
  end

end
